Bug 106408 - irssi WITH_THEMES port compile error
Summary: irssi WITH_THEMES port compile error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Vanilla I. Shu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-12-06 07:30 UTC by m0rf
Modified: 2006-12-08 17:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description m0rf 2006-12-06 07:30:07 UTC
I'm getting in trouble when i'm trying compile irssi with -DWITH_THEMES :
i got this result - circular error

===>  Installing for irssi-0.8.10_3
===>   irssi-0.8.10_3 depends on executable: irssi-themes - not found
===>    Verifying reinstall for irssi-themes in /usr/ports/x11-themes/irssi-themes
===>  Installing for irssi-themes-20060917
===>   irssi-themes-20060917 depends on executable: irssi - not found
===>    Verifying reinstall for irssi in /usr/ports/irc/irssi
===>  Installing for irssi-0.8.10_3
===>   irssi-0.8.10_3 depends on executable: irssi-themes - not found
===>    Verifying reinstall for irssi-themes in /usr/ports/x11-themes/irssi-themes
===>  Installing for irssi-themes-20060917
===>   irssi-themes-20060917 depends on executable: irssi - not found
===>    Verifying reinstall for irssi in /usr/ports/irc/irssi
===>  Installing for irssi-0.8.10_3
...

Fix: 

.if defined(WITH_THEMES)
#RUN_DEPENDS+=  irssi-themes:${PORTSDIR}/x11-themes/irssi-themes
.endif

When i comment out this line, i can succcesfully do make install BUT when i tried do this:
cd /usr/ports/x11-themes/irssi-themes/
make install 

make have do another circular error like this:

make CHILD_DEPENDS=yes PARENT_CHECKED= p
  make CHILD_DEPENDS=yes PARENT_CHECKED= p
    make CHILD_DEPENDS=yes PARENT_CHECKED= p
..
How-To-Repeat: cd /usr/ports/irc/irssi
make -DWITH_SOCKS -DWITH_PROXY -DWITH_PERL -DWITH_IPV6 -DWITH_BOT install
Comment 1 Edwin Groothuis freebsd_committer 2006-12-06 07:34:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->vanilla

Over to maintainer
Comment 2 Vanilla I. Shu freebsd_committer 2006-12-07 04:01:25 UTC
Responsible Changed
From-To: vanilla->ehaupt

Hi: 

Could help us to resove the RUN_DEPENDS recursive between irc/irssi & x11-themes/irssi-themes. 

thanks.
Comment 3 Emanuel Haupt freebsd_committer 2006-12-07 19:41:04 UTC
Responsible Changed
From-To: ehaupt->vanilla

irc/irssi must never depend on x11-themes/irssi-themes. x11-themes/irssi-themes 
is useless without irc/irssi therefor it must depend on it. The only solution 
here is to remove the option from irc/irssi and print a note such as: 

post-install: 
	@${ECHO_MSG} "You may install x11-themes/irssi-themes for" 
	@${ECHO_MSG} "additional themes." 

That is the same reason why you can't add all the */xmms-* ports as 
OPTIONS in the xmms player port.
Comment 4 Vanilla I. Shu freebsd_committer 2006-12-08 17:39:52 UTC
State Changed
From-To: open->closed

Committed, thanks.
Comment 5 dfilter service freebsd_committer 2006-12-08 17:42:26 UTC
vanilla     2006-12-08 17:39:33 UTC

  FreeBSD ports repository

  Modified files:
    irc/irssi            Makefile 
  Log:
  remove RUN_DEPENDS to x11-thenes/irssi-themes, and add message on post-install.
  
  PR:             ports/106408
  Submitted by:   m0rf<m0rf@mail.dot.cz>, ehaupt
  
  Revision  Changes    Path
  1.95      +3 -6      ports/irc/irssi/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"